### Virtual Method

# GimpUi BrushSelectButton brush_set

#### Declaration [src]

    void
    brush_set (
      GimpBrushSelectButton* button,
      const gchar* brush_name,
      gdouble opacity,
      gint spacing,
      GimpLayerMode paint_mode,
      gint width,
      gint height,
      const guchar* mask_data,
      gboolean dialog_closing
    )

#### Description

No description available.

#### Parameters

`brush_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`opacity`

  Type: `gdouble`

  No description available.

`spacing`

  Type: `gint`

  No description available.

`paint_mode`

  Type: `GimpLayerMode`

  No description available.

`width`

  Type: `gint`

  No description available.

`height`

  Type: `gint`

  No description available.

`mask_data`

  Type: `const guchar*`

  No description available.

  The data is owned by the caller of the function.

`dialog_closing`

  Type: `gboolean`

  No description available.